package com.wissamfawaz;

import java.security.SecureRandom;
import java.util.stream.Collectors;

public class Main {

	public static void main(String[] args) {
		Converter<String, Integer> converter = Integer::valueOf; 
		System.out.println(converter.convert("12") + 2);
		
		SecureRandom secRnd = new SecureRandom();
		
		secRnd.ints(10, 1, 7)
			  .forEach(System.out::println);
		
		String rndNumbers = secRnd.ints(10, 1, 7)
								  .mapToObj(String::valueOf)
								  .collect(Collectors.joining(" "));
		System.out.println(rndNumbers);

	}

}
